> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notifications list

> Retrieve authenticated user's Notifications.



## OpenAPI

````yaml get /api/v1/notifications
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/notifications:
    get:
      tags:
        - notifications
      description: Retrieve authenticated user's Notifications.
      operationId: notifications_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Unique identifier for the notification.
                          examples:
                            - 11
                            - 22
                            - 33
                        organization:
                          type: object
                          properties:
                            id:
                              type: number
                              examples:
                                - 5
                                - 10
                                - 15
                              description: Unique identifier for the Organization.
                            name:
                              type: string
                              examples:
                                - Sample Organization
                                - My Organization
                              description: Organization common name.
                            logo:
                              type: string
                              format: uri
                              examples:
                                - https://sample.com/logo.svg
                                - https://my.organization.com/logo.png
                              description: Organization logo URL.
                        title:
                          type: string
                          description: Subject of the notification.
                          examples:
                            - Subscription payment
                        message:
                          type: string
                          description: Content of the notification.
                          examples:
                            - The active subscription has been canceled.
                        type:
                          type: string
                          description: Specify the level of priority of the notification
                          enum:
                            - info
                            - warning
                        action:
                          type: string
                          description: The notification action type.
                          enum:
                            - link
                        read:
                          type: boolean
                          description: Specify if the notification has been read.
                          examples:
                            - true
                        datetime:
                          type: string
                          format: date-time
                          description: Timestamp of creation of the notification.
                        icon:
                          type: string
                          description: |-
                            Notification icon classes.  
                            Classes are defined in FontAwesome.
                          examples:
                            - fa-solid fa-circle-info
                        extra:
                          type: object
                          description: Extra informations and details of the notification.
                          properties:
                            href:
                              type: string
                              format: uri-relative
                              description: Redirect page on action.
                              examples:
                                - /organizations/edit/1#subscriptions
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````